Ir al contenido

Actualizar suscripción de webhook o rotar su secreto de firma

PATCH
/admin/developer/webhooks/{webhookId}
curl --request PATCH \
--url https://api.matiasimpulso.com/admin/developer/webhooks/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "url": "https://example.com", "events": [ "contact.created" ], "active": true, "timeoutMs": 1, "headers": { "additionalProperty": "example" }, "rotateSecret": true }'
webhookId
required
number
Media type application/json
object
name
string
>= 3 characters <= 120 characters
url
string format: uri
<= 500 characters
events
Array<string>
>= 1 items
Allowed values: contact.created contact.updated ticket.created ticket.updated ticket.closed message.inbound message.outbound module.record.created module.record.updated module.record.deleted
active
boolean
timeoutMs
number
>= 1000 <= 30000
headers
object
key
additional properties
string
rotateSecret
boolean
Media type application/json
object

Example generated

{}